> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilityworkflow

> get observability workflow list



## OpenAPI

````yaml /swagger.json get /admin/observability/workflow
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/observability/workflow:
    get:
      tags:
        - admin
        - observability
      description: get observability workflow list
      parameters:
        - schema:
            type: array
            items:
              type: string
          required: false
          name: workflowIds
          in: query
        - schema:
            type: object
            properties:
              start:
                type: string
              end:
                type: string
            required:
              - start
              - end
          required: false
          name: timeRange
          in: query
        - schema:
            type: string
            enum:
              - 30m
              - 1h
              - 6h
              - 1d
              - 3d
              - 7d
              - 30d
          required: false
          name: relativeTime
          in: query
        - schema:
            type: boolean
          required: false
          name: isActive
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: baseIds
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: spaceIds
          in: query
        - schema:
            type: array
            items:
              type: string
              enum:
                - recordCreated
                - recordUpdated
                - recordCreatedOrUpdated
                - recordMatchesConditions
                - buttonClick
                - formSubmitted
                - scheduledTime
                - webhook
          required: false
          name: triggerType
          in: query
        - schema:
            type: number
            nullable: true
          required: false
          name: skip
          in: query
        - schema:
            type: number
            nullable: true
          required: false
          name: take
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        base:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            icon:
                              type: string
                          required:
                            - id
                            - name
                        triggerType:
                          type: string
                          enum:
                            - recordCreated
                            - recordUpdated
                            - recordCreatedOrUpdated
                            - recordMatchesConditions
                            - buttonClick
                            - formSubmitted
                            - scheduledTime
                            - webhook
                        createdTime:
                          type: string
                        lastRunTime:
                          type: string
                        runStats:
                          type: object
                          properties:
                            statusStats:
                              type: object
                              properties:
                                pending:
                                  type: number
                                running:
                                  type: number
                                success:
                                  type: number
                                failed:
                                  type: number
                                canceled:
                                  type: number
                              required:
                                - pending
                                - running
                                - success
                                - failed
                                - canceled
                            avgSpent:
                              type: number
                            totalCount:
                              type: number
                          required:
                            - statusStats
                            - avgSpent
                            - totalCount
                        level:
                          type: string
                          enum:
                            - healthy
                            - warning
                            - critical
                        isActive:
                          type: boolean
                      required:
                        - id
                        - name
                        - base
                        - triggerType
                        - createdTime
                        - runStats
                        - level
                  total:
                    type: number
                required:
                  - data
                  - total
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/workflow?workflowIds=SOME_ARRAY_VALUE&timeRange=SOME_OBJECT_VALUE&relativeTime=SOME_STRING_VALUE&isActive=SOME_BOOLEAN_VALUE&baseIds=SOME_ARRAY_VALUE&spaceIds=SOME_ARRAY_VALUE&triggerType=SOME_ARRAY_VALUE&skip=SOME_NUMBER_VALUE&take=SOME_NUMBER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````